Bug 204581 - [maintainer update] security/py-SecretStorage: Update to 2.1.2
Summary: [maintainer update] security/py-SecretStorage: Update to 2.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks: 204582
  Show dependency treegraph
 
Reported: 2015-11-16 02:53 UTC by Douglas Thrift
Modified: 2015-11-18 20:10 UTC (History)
1 user (show)

See Also:


Attachments
py27-SecretStorage-2.1.2.diff (1.08 KB, patch)
2015-11-16 02:53 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2015-11-16 02:53:14 UTC
Created attachment 163169 [details]
py27-SecretStorage-2.1.2.diff

Update security/py-SecretStorage to 2.1.2.

From changelog:

SecretStorage 2.1.2, 2015-06-30
===============================

* Add Item.unlock() method.
* Use setuptools when it is available.
* Documentation now uses Alabaster sphinx theme.
* Other documentation fixes and improvements.

SecretStorage 2.1.1, 2014-07-12
===============================

* Fixed a bug where common secret was incorrectly generated
  sometimes (one time of 128).
* Other minor improvements.

SecretStorage 2.1, 2014-05-28
=============================

* Support running tests with GNOME Keyring when there is no
  default collection.
* When D-Bus main loop is already set, do not set it again.
* Make dhcrypto module work with Python < 2.7.4.

SecretStorage 2.0, 2014-01-27
=============================

* Add support for encrypted sessions and use them by default.
* Get rid of Introspect() calls to make D-Bus messaging faster.
Comment 1 commit-hook freebsd_committer 2015-11-18 20:05:46 UTC
A commit references this bug:

Author: rm
Date: Wed Nov 18 20:05:25 UTC 2015
New revision: 401892
URL: https://svnweb.freebsd.org/changeset/ports/401892

Log:
  security/py-SecretStorage: update to 2.1.2

  SecretStorage 2.1.2, 2015-06-30
  ===============================

  * Add Item.unlock() method.
  * Use setuptools when it is available.
  * Documentation now uses Alabaster sphinx theme.
  * Other documentation fixes and improvements.

  While here let it build with python3 by picking correct py-dbus port
  according to python version used in the build.

  PR:		204581
  Submitted by:	douglas@douglasthrift.net (maintainer)

Changes:
  head/security/py-SecretStorage/Makefile
  head/security/py-SecretStorage/distinfo
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2015-11-18 20:10:35 UTC
Committed, thank you!